Bug 175635 - GUI becomes non-functional after changing driver
GUI becomes non-functional after changing driver
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-printer (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: 189992
  Show dependency treegraph
 
Reported: 2005-12-13 11:40 EST by Kevin Podsiadlik
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2006-0694
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-26 02:34:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of printconf-tui as requested. (3.09 KB, text/plain)
2005-12-15 15:00 EST, Kevin Podsiadlik
no flags Details

  None (edit)
Description Kevin Podsiadlik 2005-12-13 11:40:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
When I attempt to change the driver for my printer, the GUI fails and the application becomes nonfunctional.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. $ sudo printconf
2. Select my printer and click "edit"
3. Click "printer driver tab"
4. Select a new driver (I wanted "LaserJet 4000/4000N" instead of "LaserJet 4000".)
5. Click "OK".
6. When dialog box fails to close on "OK", click "x" to close.
7. Again, select my printer and click "edit".

Actual Results:  After step 5:

Dialog box goes gray momentarily, but then reappears.  Now none of the bottom buttons work.  The only way to dismiss the box is with the "x" (either on the box or the application itself).

After step 6:

"Apply" button is not highlighted -- driver change was not recorded.

After step 7:

Dialog box does not appear.

Expected Results:  "OK" should have closed the dialog box, and activated the "Apply" button in the main application to save the change of driver.  "Edit" button should bring back the dialog. 

Additional info:

Output to terminal after step 5:

Traceback (most recent call last):
  File "/usr/share/printconf/util/queueTree.py", line 600, in edit_button_clicked
    if self.editQueue.editQueueDialog (iter):
  File "/usr/share/printconf/util/editQueue.py", line 452, in editQueueDialog
    self.read_driver_options ()
  File "/usr/share/printconf/util/editQueue.py", line 1013, in read_driver_options
    dict[key] = store.get_value (iter, 1)
TypeError: iter must be a GtkTreeIter

Output to terminal after step 7:

AttributeError: 'NoneType' object has no attribute 'select_iter'
Comment 1 Tim Waugh 2005-12-15 12:17:29 EST
Please attach the output of 'printconf-tui --Xexport', taking care to replace
any passwords it may contain for remote printers with "*" characters.  Thanks.
Comment 2 Kevin Podsiadlik 2005-12-15 15:00:27 EST
Created attachment 122296 [details]
Output of printconf-tui as requested.
Comment 4 Tim Waugh 2005-12-23 08:33:18 EST
Thanks.
Comment 17 Red Hat Bugzilla 2006-10-26 02:34:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0694.html

Note You need to log in before you can comment on or make changes to this bug.